Index: src/Actions/unittests/Makefile.am
===================================================================
--- src/Actions/unittests/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/Actions/unittests/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -61,5 +61,6 @@
 	../Actions/unittests/AtomsCalculationUnitTest.cpp \
 	../Actions/unittests/AtomsCalculationUnitTest.hpp
-AtomsCalculationUnitTest_LDADD = ${ACTIONLIBS}
+AtomsCalculationUnitTest_LDADD = ${ACTIONLIBS} \
+        $(BOOST_SYSTEM_LDFLAGS) $(BOOST_SYSTEM_LIBS)
 
 ManipulateAtomsUnitTest_SOURCES = \
Index: src/Fragmentation/Makefile.am
===================================================================
--- src/Fragmentation/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/Fragmentation/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -119,5 +119,5 @@
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderFragmentation_KeysetsContainer_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderFragmentation_KeysetsContainer_la_LDFLAGS = $(AM_LDFLAGS) -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
Index: src/Fragmentation/Summation/Containers/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Summation/Containers/unittests/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/Fragmentation/Summation/Containers/unittests/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -23,7 +23,7 @@
   $(BOOST_THREAD_LDFLAGS) $(BOOST_THREAD_LIBS) \
   $(BOOST_SYSTEM_LDFLAGS) $(BOOST_SYSTEM_LIBS) \
-  ${CodePatterns_LIBS}
+  ${CodePatterns_LDFLAGS} ${CodePatterns_LIBS}
 
-MPQCDataUnitTest_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
+MPQCDataUnitTest_LDFLAGS = -ldl
 MPQCDataUnitTest_CPPFLAGS = $(AM_CPPFLAGS) ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
 MPQCDataUnitTest_SOURCES = \
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -299,5 +299,5 @@
 	Actions/ActionHistory.hpp
 pyMoleCuilder_la_CPPFLAGS = $(AM_CPPFLAGS) ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS} $(JobMarket_CFLAGS) -I$(PYTHON_INCLUDE_DIR)
-pyMoleCuilder_la_LDFLAGS = -module -version-info $(MOLECUILDER_SO_VERSION) -shared $(BOOST_PYTHON_LDFLAGS) 
+pyMoleCuilder_la_LDFLAGS = $(AM_LDFLAGS) -module -version-info $(MOLECUILDER_SO_VERSION) -shared $(BOOST_PYTHON_LDFLAGS) 
 pyMoleCuilder_la_LIBADD = \
 	libMolecuilderUI.la
Index: src/Parser/unittests/Makefile.am
===================================================================
--- src/Parser/unittests/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/Parser/unittests/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -45,7 +45,6 @@
 PARSERLIBS += \
 	$(top_builddir)/ThirdParty/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS}
-#	$(BOOST_LIB)
-
+	${CodePatterns_LIBS} \
+	$(BOOST_SYSTEM_LDFLAGS) $(BOOST_SYSTEM_LIBS)
 
 ParserMpqcUnitTest_SOURCES = \
Index: src/RandomNumbers/Makefile.am
===================================================================
--- src/RandomNumbers/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/RandomNumbers/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -58,5 +58,5 @@
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderRandomNumbers_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderRandomNumbers_la_LDFLAGS = $(AM_LDFLAGS) -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
Index: src/Shapes/Makefile.am
===================================================================
--- src/Shapes/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/Shapes/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -39,5 +39,5 @@
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderShapes_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+libMolecuilderShapes_la_LDFLAGS = $(AM_LDFLAGS) -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
Index: src/Shapes/unittests/Makefile.am
===================================================================
--- src/Shapes/unittests/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/Shapes/unittests/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -33,6 +33,6 @@
 	../libMolecuilderUI.la \
 	$(top_builddir)/ThirdParty/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS}
-#	$(BOOST_LIB)
+	${CodePatterns_LIBS} \
+	$(BOOST_SYSTEM_LDFLAGS) $(BOOST_SYSTEM_LIBS)
 
 BaseShapesUnitTest_SOURCES = \
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 4ecb2df88a22b2c6c64a8e419ce29738dc56f548)
+++ src/unittests/Makefile.am	(revision 53ef0d488b298e11b446456e47c1b9db1f5df9e8)
@@ -44,5 +44,5 @@
 
 AM_LDFLAGS = \
-	${CodePatterns_LIBS} \
+	$(CodePatterns_LDFLAGS) ${CodePatterns_LIBS} \
 	$(CPPUNIT_LIBS) \
 	-ldl
